---
Rails/OutputSafety:
  Exclude:
    - 'app/controllers/concerns/confirm_email_warning.rb'
    - 'app/controllers/concerns/web_hooks/hook_actions.rb'
    - 'app/controllers/groups_controller.rb'
    - 'app/controllers/profiles/two_factor_auths_controller.rb'
    - 'app/controllers/projects/mirrors_controller.rb'
    - 'app/controllers/projects/performance_monitoring/dashboards_controller.rb'
    - 'app/controllers/projects/pipeline_schedules_controller.rb'
    - 'app/controllers/projects/protected_refs_controller.rb'
    - 'app/controllers/search_controller.rb'
    - 'app/graphql/types/ci/job_trace_type.rb'
    - 'app/graphql/types/project_type.rb'
    - 'app/helpers/admin/broadcast_messages_helper.rb'
    - 'app/helpers/admin/application_settings/settings_helper.rb'
    - 'app/helpers/appearances_helper.rb'
    - 'app/helpers/auth_helper.rb'
    - 'app/helpers/commits_helper.rb'
    - 'app/helpers/diff_helper.rb'
    - 'app/helpers/dropdowns_helper.rb'
    - 'app/helpers/emails_helper.rb'
    - 'app/helpers/emoji_helper.rb'
    - 'app/helpers/environment_helper.rb'
    - 'app/helpers/external_link_helper.rb'
    - 'app/helpers/form_helper.rb'
    - 'app/helpers/groups/group_members_helper.rb'
    - 'app/helpers/groups_helper.rb'
    - 'app/helpers/import_helper.rb'
    - 'app/helpers/issuables_helper.rb'
    - 'app/helpers/issues_helper.rb'
    - 'app/helpers/labels_helper.rb'
    - 'app/helpers/markup_helper.rb'
    - 'app/helpers/members_helper.rb'
    - 'app/helpers/merge_requests_helper.rb'
    - 'app/helpers/notify_helper.rb'
    - 'app/helpers/page_layout_helper.rb'
    - 'app/helpers/profiles_helper.rb'
    - 'app/helpers/projects_helper.rb'
    - 'app/helpers/reminder_emails_helper.rb'
    - 'app/helpers/safe_format_helper.rb'
    - 'app/helpers/search_helper.rb'
    - 'app/helpers/sidebars_helper.rb'
    - 'app/helpers/sourcegraph_helper.rb'
    - 'app/helpers/tags_helper.rb'
    - 'app/helpers/timeboxes_helper.rb'
    - 'app/helpers/todos_helper.rb'
    - 'app/helpers/tree_helper.rb'
    - 'app/helpers/version_check_helper.rb'
    - 'app/helpers/visibility_level_helper.rb'
    - 'app/helpers/whats_new_helper.rb'
    - 'app/mailers/notify.rb'
    - 'app/models/concerns/restricted_signup.rb'
    - 'app/models/integrations/apple_app_store.rb'
    - 'app/models/integrations/asana.rb'
    - 'app/models/integrations/bamboo.rb'
    - 'app/models/integrations/bugzilla.rb'
    - 'app/models/integrations/campfire.rb'
    - 'app/models/integrations/clickup.rb'
    - 'app/models/integrations/confluence.rb'
    - 'app/models/integrations/custom_issue_tracker.rb'
    - 'app/models/integrations/datadog.rb'
    - 'app/models/integrations/discord.rb'
    - 'app/models/integrations/ewm.rb'
    - 'app/models/integrations/external_wiki.rb'
    - 'app/models/integrations/google_play.rb'
    - 'app/models/integrations/hangouts_chat.rb'
    - 'app/models/integrations/irker.rb'
    - 'app/models/integrations/jenkins.rb'
    - 'app/models/integrations/mattermost.rb'
    - 'app/models/integrations/pivotaltracker.rb'
    - 'app/models/integrations/pumble.rb'
    - 'app/models/integrations/redmine.rb'
    - 'app/models/integrations/squash_tm.rb'
    - 'app/models/integrations/telegram.rb'
    - 'app/models/integrations/unify_circuit.rb'
    - 'app/models/integrations/webex_teams.rb'
    - 'app/models/integrations/youtrack.rb'
    - 'app/presenters/ci/pipeline_presenter.rb'
    - 'app/presenters/key_presenter.rb'
    - 'app/presenters/project_presenter.rb'
    - 'app/serializers/analytics/cycle_analytics/stage_entity.rb'
    - 'app/serializers/build_details_entity.rb'
    - 'app/serializers/entity_date_helper.rb'
    - 'app/services/jira/requests/base.rb'
    - 'app/services/projects/update_service.rb'
    - 'app/services/security/ci_configuration/base_create_service.rb'
    - 'app/services/system_notes/commit_service.rb'
    - 'ee/app/components/namespaces/combined_storage_users/base_alert_component.rb'
    - 'ee/app/components/namespaces/free_user_cap/base_alert_component.rb'
    - 'ee/app/components/namespaces/free_user_cap/enforcement_alert_component.rb'
    - 'ee/app/components/namespaces/free_user_cap/enforcement_at_limit_alert_component.rb'
    - 'ee/app/components/namespaces/free_user_cap/non_owner_enforcement_alert_component.rb'
    - 'ee/app/components/namespaces/free_user_cap/non_owner_notification_alert_component.rb'
    - 'ee/app/components/namespaces/free_user_cap/notification_alert_component.rb'
    - 'ee/app/components/namespaces/free_user_cap/usage_quota_alert_component.rb'
    - 'ee/app/components/namespaces/free_user_cap/usage_quota_trial_alert_component.rb'
    - 'ee/app/components/namespaces/storage/limit_alert_component.rb'
    - 'ee/app/components/namespaces/storage/pre_enforcement_alert_component.rb'
    - 'ee/app/components/namespaces/storage/repository_limit_alert_component.rb'
    - 'ee/app/components/namespaces/storage/user_pre_enforcement_alert_component.rb'
    - 'ee/app/controllers/admin/elasticsearch_controller.rb'
    - 'ee/app/controllers/admin/geo/application_controller.rb'
    - 'ee/app/controllers/admin/licenses_controller.rb'
    - 'ee/app/controllers/ee/projects/issues_controller.rb'
    - 'ee/app/controllers/ee/projects/mirrors_controller.rb'
    - 'ee/app/controllers/ee/repositories/lfs_api_controller.rb'
    - 'ee/app/helpers/billing_plans_helper.rb'
    - 'ee/app/helpers/ee/application_helper.rb'
    - 'ee/app/helpers/ee/geo_helper.rb'
    - 'ee/app/helpers/ee/import_helper.rb'
    - 'ee/app/helpers/ee/integrations_helper.rb'
    - 'ee/app/helpers/ee/labels_helper.rb'
    - 'ee/app/helpers/ee/members_helper.rb'
    - 'ee/app/helpers/ee/mirror_helper.rb'
    - 'ee/app/helpers/ee/search_helper.rb'
    - 'ee/app/helpers/ee/users_helper.rb'
    - 'ee/app/helpers/push_rules_helper.rb'
    - 'ee/app/models/integrations/github.rb'
    - 'ee/lib/ee/gitlab/namespace_storage_size_error_message.rb'
    - 'ee/lib/gitlab/expiring_subscription_message.rb'
    - 'ee/lib/gitlab/licenses/submit_license_usage_data_banner.rb'
    - 'ee/lib/gitlab/manual_quarterly_co_term_banner.rb'
    - 'ee/spec/controllers/admin/licenses_controller_spec.rb'
    - 'lib/banzai/filter/autolink_filter.rb'
    - 'lib/banzai/filter/references/milestone_reference_filter.rb'
    - 'lib/banzai/filter/spaced_link_filter.rb'
    - 'lib/banzai/object_renderer.rb'
    - 'lib/banzai/renderer.rb'
    - 'lib/gitlab/asciidoc.rb'
    - 'lib/gitlab/blame.rb'
    - 'lib/gitlab/ci/trace/stream.rb'
    - 'lib/gitlab/dependency_linker/base_linker.rb'
    - 'lib/gitlab/dependency_linker/go_mod_linker.rb'
    - 'lib/gitlab/dependency_linker/go_sum_linker.rb'
    - 'lib/gitlab/diff/char_diff.rb'
    - 'lib/gitlab/diff/highlight.rb'
    - 'lib/gitlab/diff/inline_diff_marker.rb'
    - 'lib/gitlab/diff/line.rb'
    - 'lib/gitlab/diff/rendered/notebook/diff_file_helper.rb'
    - 'lib/gitlab/highlight.rb'
    - 'lib/gitlab/observability.rb'
    - 'lib/gitlab/other_markup.rb'
    - 'lib/gitlab/string_range_marker.rb'
    - 'spec/helpers/application_helper_spec.rb'
    - 'spec/helpers/notify_helper_spec.rb'
    - 'spec/helpers/profiles_helper_spec.rb'
    - 'spec/helpers/safe_format_helper_spec.rb'
    - 'spec/helpers/sidebars_helper_spec.rb'
    - 'spec/lib/banzai/filter/output_safety_spec.rb'
    - 'spec/lib/gitlab/string_range_marker_spec.rb'
    - 'spec/lib/gitlab/string_regex_marker_spec.rb'
